Bug 1568278 - pulseaudio-qpaeq needs to be update from git.
Summary: pulseaudio-qpaeq needs to be update from git.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 06:34 UTC by edpil02
Modified: 2018-06-14 22:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-14 22:09:49 UTC
Type: Bug


Attachments (Terms of Use)

Description edpil02 2018-04-17 06:34:19 UTC
Can 't launch qpaeq because of python libraries :

from python2 :
There was an error importing needed libraries
Make sure you have qt5 and dbus-python installed
The error that occured was:
        No module named qt

from python3
There was an error importing needed libraries
Make sure you have qt5 and dbus-python installed
The error that occured was:
        No module named 'dbus.mainloop.qt'


Importing updated qpae.py from git solves the issue, i can launch the equaliser now.

Comment 1 Ali Akcaagac 2018-05-06 11:01:52 UTC
Same here. I just wanted to post the same bugreport. Unfortunately there seems to be a missing entry for pulseaudio-qpaeq in Bugzilla.

Comment 2 Rex Dieter 2018-05-06 12:16:21 UTC
pulseaudio-qpaeq is part of "pulseaudio" package, bugzilla does not have separate components for every subpackage.

That said, this package already has dependencies listed:
Requires:       python-qt5
Requires:       python2-dbus

Which should provide the 2 things it needs.

Comment 3 Rex Dieter 2018-05-06 12:27:02 UTC
Ah, this should fix it:

https://cgit.freedesktop.org/pulseaudio/pulseaudio/commit/?id=ba2b748d40f78b9d9f945b5422ca74d05f8d0d07

Which is included in test-candidate builds provided by copr:
https://copr.fedorainfracloud.org/coprs/rdieter/pulseaudio/

when we're confident these are stable and reliable, will submit to fedora updates channel (hopefully soon).

Comment 4 Rex Dieter 2018-06-14 22:09:49 UTC
rawhide should be good now


Note You need to log in before you can comment on or make changes to this bug.